Subject: Re: LED backlight on Droid 4 and others

From: Pavel Machek <[email-masked]>
Date: Mon, 6 Jan 2020 00:55:51 +0100

Hi!

> > It would be good to get LED backlight to work in clean way for 5.6
> > kernel.
> 
> I agree, this is badly needed for many devices.
> 
> > [If you have an idea what else is needed, it would be welcome; it
> > works for me in development tree but not in tree I'd like to
> > upstream.]
> 
> I have some version of these patches working with modified dts in my
> droid4-pending-v5.4 branch git branch, maybe try to diff against that.

So.. backlight now works for me, and I put the LED parts of the
patches to

gitolite.kernel.org:pub/scm/linux/kernel/git/pavel/linux-leds.git for-next

tree. [I guess I could try to sneak them into 5.5 if that helps.]

Could we somehow get this to the backlight tree?

commit d457d0c97d6d55fe3e62633791ac05d289a37d2e
Author: Tomi Valkeinen <[email-masked]>
Date:   Thu Oct 3 10:28:12 2019 +0200

    backlight: add led-backlight driver

    This patch adds a led-backlight driver (led_bl), which is similar
    to pwm_bl except the driver uses a LED class driver to adjust the
    brightness in the HW. Multiple LEDs can be used for a single
    backlight.

 Signed-off-by: Tomi Valkeinen <[email-masked]>
 Signed-off-by: Jean-Jacques Hiblot <[email-masked]>
 Acked-by: Pavel Machek <[email-masked]>
 Reviewed-by: Daniel Thompson <[email-masked]>

Best regards,
								Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel